MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002358ATutorInstallationpublic2006-04-06 06:052006-05-02 06:17
Reportergreg 
Assigned Touser2 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.5.3 
Summary0002358: create tables fails on new install
DescriptionI get the following errors when installing at step 2

 Error

    * Table AT_assignments creation failed.
    * Table AT_reading_list creation failed.
    * Table AT_external_resources creation failed.
TagsNo tags attached.
Affects version
SVN Revision#
Attached Files

- Relationships

-  Notes
(0001757)
greg (administrator)
2006-04-06 06:09

MySQL said: Documentation
0001067 - Invalid default value for 'reading_id'
(0001758)
user2
2006-04-06 06:20

which version of mysql?
(0001759)
greg (administrator)
2006-04-06 06:23

DEFAULT 0 also needs to be removed from the upgrade script.

I also see that the bitwise values for the readlist module (and assignments and file_storage) inserted into the modules table is hard coded. What happens if other modules are installed using those numbers?
(0001760)
greg (administrator)
2006-04-06 06:28

I'm using 4.1.14
(0001761)
greg (administrator)
2006-04-06 06:29

It works ok if I remove "Default 0" from the reading_id field and the other id field in the other tables
(0001765)
user2
2006-04-13 08:50

auto inc should not specify a default value

- Issue History
Date Modified Username Field Change
2006-04-06 06:05 greg New Issue
2006-04-06 06:09 greg Note Added: 0001757
2006-04-06 06:20 user2 Note Added: 0001758
2006-04-06 06:23 greg Note Added: 0001759
2006-04-06 06:28 greg Note Added: 0001760
2006-04-06 06:29 greg Note Added: 0001761
2006-04-13 08:50 user2 Status new => resolved
2006-04-13 08:50 user2 Fixed in Version => 1.5.3
2006-04-13 08:50 user2 Resolution open => fixed
2006-04-13 08:50 user2 Assigned To => user2
2006-04-13 08:50 user2 Note Added: 0001765
2006-05-02 06:17 user2 Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker